# getDefinition method

1. @override

PodDefinition getDefinition(

1. String name

)
override

Retrieve the pod registered under `name`.

This method returns the pod associated with the given name. The exact behavior and returned type depend on the registry implementation and the generic type `T`.

`name`: The name of the pod to retrieve Returns the pod object of type `T` associated with the name

Throws:

- NoSuchPodDefinitionException if no pod exists with the given name

Example:

    // Get a pod definition
    final podDef = definitionRegistry.getDefinition('userService');
    print('Pod class: ${podDef.getPodClassName()}');

## Implementation

    @override
    PodDefinition getDefinition(String name) {
      if (_parent != null && _parent!.getPodFactory().containsDefinition(name)) {
        return _parent!.getPodFactory().getDefinition(name);
      }

      return getPodFactory().getDefinition(name);
    }